org.springframework.data.domain

## Interface AuditorAware<T>

Type Parameters:
  `T` - the type of the auditing instance.

    public interface AuditorAware<T>

Interface for components that are aware of the application's current auditor. This will be some kind of user mostly.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Optional<T>` `getCurrentAuditor()` Returns the current auditor of the application.

### Method Detail

#### getCurrentAuditor

    Optional<T> getCurrentAuditor()

Returns the current auditor of the application.

Returns:
  the current auditor.